ATT beta version (UNICODE support)

Discussion in 'ATI Tray Tools Public Beta Section' started by Ray Adams, Oct 2, 2008.

Thread Status:
Not open for further replies.
  1. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    Starting from build 1.6.9.1336 (I hope) ATI Tray Tools will be fully UNICODE aware application and can be translated to any available languages.

    Here is a one permanent link for all beta versions:
    http://cid-a50350ea7a969f0c.skydrive.live.com/self.aspx/Public/attsetup.exe

    Previous versions can be found here:
    http://cid-a50350ea7a969f0c.skydrive.live.com/browse.aspx/ATI Tray Tools builds

    Please keep installation package of last non-unicode beta version on your HDD drives! :) Just in case.

    ____________
    Because I have forced to change a lot of code - expect tons of bugs! :)

    About translations:
    Now all .ni files must be saved as UNICODE. If you use notepad.exe just open old file, select "Save As..." and than select "Encoding" as UNICODE (not UTF-8 or anything else!). I unable to manually translate all current language files (except russian) so please everyone who has support for his native language just open and save as UNICODE your file. Also please test it with last beta of ATT before postings link to it.

    Thanks :)

    This beta version doesn't have anything new related to the hardware. Just GUI updates and some internal optimizations.
     
    Last edited: Apr 25, 2010
  2. sna696

    sna696 Member

    Messages:
    17
    Likes Received:
    0
    GPU:
    ATI Radeon HD 5870
    hi Ray!

    Porting code to Unicode is interesting...

    so, in your message, you raccomend to maintain the installer of nonunicode installer on pc... what do you intend?

    what kind of issues can a generic user be affected by for this new version?

    I decided to maintain the download on my site of the 1.5.9 and 1.6.9 versions anyway, what can I do?
     
  3. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    No! I mean do not delete attsetup.exe for old , just in case new version will not work at all for you.
     
  4. sna696

    sna696 Member

    Messages:
    17
    Likes Received:
    0
    GPU:
    ATI Radeon HD 5870
    ok, all right. so:
    I'm maintaining an history version of your releases: can I remove from the site the 1.5 version and leave 1.6 version only?

    If an user need previous versions, it will be available on the history page...
     

  5. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    yes you can
     
  6. sna696

    sna696 Member

    Messages:
    17
    Likes Received:
    0
    GPU:
    ATI Radeon HD 5870
    very well!

    and, always thanks for your work :)
     
  7. stevvie

    stevvie Member Guru

    Messages:
    119
    Likes Received:
    0
    GPU:
    Vtx3D R9 280x
    1.6.9.1336 isn't changing clocks for me in Windows Xp X64. I set 2 profiles, 2D 200GPU 500Mem which works ok in desktop, I set a 3D 650GPU 1000Mem which works ok in games, I then set the 3d for applications that require 3d mode in auto overclocking and 2D for 2D mode just like I always do. I then started the monitor and its at 200+500 I then start a game and it's slugish as hell and come out of the game and look at the monitor and it never changed from 200+500.
     
  8. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    Yeah. You right! :)
    Will check it
     
  9. Keitaro84

    Keitaro84 New Member

    Messages:
    3
    Likes Received:
    0
    GPU:
    ATI HD4870
    Hello Ray!

    I Have some problems with the new betas 1.5.9.1314 and 1.6.9.1336.

    Every time i want to start an 3D Application, the application crash cause of the ntdll.dll :(. if i close ATT, all 3D Applications works fine. I had no Problems with the older betas.. but i deleted the older ones and can't find older versions to download. :wanker:

    I have a HD4870 and use Vista Ultimate 32bit
     
  10. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950

  11. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    I don't know what is a problem. Try to update DirectX runtime to last version.
     
  12. Keitaro84

    Keitaro84 New Member

    Messages:
    3
    Likes Received:
    0
    GPU:
    ATI HD4870
    it worked!!! thank you very much :D

    I was really shocked cause i love ATT for controlling the fanspeed and clockspeed of my HD4870 :D
     
    Last edited: Oct 2, 2008
  13. totya

    totya Member Guru

    Messages:
    117
    Likes Received:
    0
    GPU:
    Asus EAH4850 512MB
    Hi!

    ATT 1.5.9.1314 (old topic is closed)

    SMU and Direct3Dtype is missing from flashOSD. FlashOSD color settings is none. White color is invisible many times.

    Biggest problem, if ATT run, my online race game is unplayable. I get pressed key under game, but I not press these keys.

    Thx.
     
  14. jjwa

    jjwa New Member

    Messages:
    2
    Likes Received:
    0
    GPU:
    Sapphire 4870 512MB
    Any information on the changes between 1.6.9.1336 and 1.6.9.1337?

    BTW, are you planning any changes to the whole '3D Renderer/Artifact Scanning/Find Max for GPU/Mem' combination? Because the idea is really great, but overclocking my 4870 resulted in a hanging system in 3dMark06 (the test with the purple and green light amongst the trees) at speeds below what was stable according to ATT. Furmark did the same, but I heard it crashes too easily on ATI hardware (even at stock speeds) to be a good test for stability...

    And thanks for the software :). I prefer it above every GPU tweak tool I could find and try :).
     
    Last edited: Oct 3, 2008
  15. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    No plans yet.
     

  16. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    Build 1.6.9.1340
    http://cid-a50350ea7a969f0c.skydrive.live.com/self.aspx/Public/attsetup.exe
    Returned back "Memory used by process" and "API Type" in monitoring and OSD. API Type works only in OSD module. It will be disabled in Monitoring.

    Also because of returning of that old values internal index of default monitoring sources is shifted. So you have to recheck your OSD and Monitoring :)
     
  17. sna696

    sna696 Member

    Messages:
    17
    Likes Received:
    0
    GPU:
    ATI Radeon HD 5870
    hi ray,

    do you confirm that ATT CrossFire functions still compatible with Vista only?
     
  18. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    Dont' have XP to check it.
     
  19. dulemk

    dulemk Active Member

    Messages:
    77
    Likes Received:
    0
    GPU:
    Sapphire 6950
    I just notice minor bug/conflict with everest ultimate edition 4.60 so it is better if I mention it.

    When I want to benchmark with everest while ATT(1.6.9.1337) is working, everest tray sensors go nutt.
    And after closing everest, he wont start until I kill his process.
    I know it is conflict between ATT & everest because After uninstaling ATT everest work just fine.
     
  20. Ray Adams

    Ray Adams Ancient Guru

    Messages:
    4,942
    Likes Received:
    0
    GPU:
    ATI HD6950
    I don't think this is related to the ATT. Both Everest and ATT use safe technique to work with hardware on low level (same as RivaTuner, GPUZ-Z , ATITool). So there are can be no conflicts.
    Which version of Everest did you test?
    I just tested with 4.60. No problems.

    Also try to change opt_nowait_i2c_mutex=1 to opt_nowait_i2c_mutex=0 in atitray.ini file. Close ATT before make changes
     
    Last edited: Oct 3, 2008
Thread Status:
Not open for further replies.

Share This Page